Bug 891170 (e_dbus) - Review Request: e_dbus - Wrappers around D-Bus for EFL based applications
Summary: Review Request: e_dbus - Wrappers around D-Bus for EFL based applications
Status: CLOSED ERRATA
Alias: e_dbus
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dan Mashal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened
Depends On: 954126 Enlightenment-Tracker
Blocks: ethumb elementary 891295
TreeView+ depends on / blocked
 
Reported: 2013-01-02 06:57 UTC by Rahul Sundaram
Modified: 2013-10-10 14:49 UTC (History)
6 users (show)

Fixed In Version: e_dbus-1.7.8-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-10 14:49:11 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dan.mashal: fedora-review+


Attachments (Terms of Use)

Description Rahul Sundaram 2013-01-02 06:57:15 UTC
Spec URL: http://sundaram.fedorapeople.org/packages/e_dbus.spec
SRPM URL: http://sundaram.fedorapeople.org/packages/e_dbus-1.7.4-1.fc18.src.rpm
Description:

Basic convenience wrappers around D-Bus to ease integrating D-Bus with EFL based
applications.

Fedora Account System Username:sundaram

Comment 1 leigh scott 2013-01-10 22:30:35 UTC
Hi,

I believe the pkgconfig requirement should be removed from the -devel subpackage as per guidelines.

also this requirement need s changing from

Requires:       %{name} = %{version}-%{release} 

to


Requires: %{name}%{?_isa} = %{version}-%{release}


In the %install section please change

%make_install


to

make install DESTDIR=%{buildroot}

Comment 2 Dan Mashal 2013-04-21 03:31:57 UTC
(In reply to comment #1)
> Hi,
> 
> I believe the pkgconfig requirement should be removed from the -devel
> subpackage as per guidelines.
> 

+1

> also this requirement need s changing from
> 
> Requires:       %{name} = %{version}-%{release} 
> 
> to
> 
> 
> Requires: %{name}%{?_isa} = %{version}-%{release}
> 

+1

> 
> In the %install section please change
> 
> %make_install
> 
> 
> to
> 
> make install DESTDIR=%{buildroot}

Not required but desirable.

Also please update to 1.7.6. I created a bug asking spot to update ecore to 1.7.6 on rawhide.

Comment 3 Rahul Sundaram 2013-05-15 05:16:46 UTC
Done the changes suggested along with a few more.  The suggestion to change %make_install is bogus since it expands to the latter and is NOT the same as %makeinstall macro

http://sundaram.fedorapeople.org/packages/e_dbus.spec
http://sundaram.fedorapeople.org/packages/e_dbus-1.7.6-1.fc18.src.rpm

Comment 4 Dan Mashal 2013-06-07 21:00:01 UTC
Naming: OK
Licensing: OK
rpmlint: OK
Builds on rawhide: OK

http://koji.fedoraproject.org/koji/taskinfo?taskID=5481768

$ rpmlint e_dbus-*
e_dbus.x86_64: W: no-manual-page-for-binary e-notify-send
e_dbus-devel.x86_64: W: spelling-error Summary(en_US) dbus -> dubs, bus, buds
e_dbus-devel.x86_64: W: spelling-error %description -l en_US dbus -> dubs, bus, buds
e_dbus-devel.x86_64: W: no-documentation
2 packages and 0 specfiles checked; 0 errors, 4 warnings.

Looks good. 

APPROVED.

Comment 5 Rahul Sundaram 2013-06-17 23:45:39 UTC
New Package SCM Request
=======================
Package Name: e_dbus
Short Description: Wrappers around D-Bus for EFL based applications
Owners: sundaram vicodan
Branches: f19
InitialCC:

Comment 6 Gwyn Ciesla 2013-06-18 10:57:25 UTC
Unretired, please take ownership in pkgdb and submit a Package Change
request for additional branches.

Comment 7 Rahul Sundaram 2013-06-18 13:55:17 UTC
Package Change Request
======================
Package Name: e_dbus
New Branches: f19
Owners: sundaram vicodan
InitialCC:

Comment 8 Gwyn Ciesla 2013-06-18 14:49:47 UTC
Git done (by process-git-requests).

Comment 9 Rahul Sundaram 2013-06-18 16:07:04 UTC
Koji claims f20 is blocked. can you unblock it?

Comment 10 Gwyn Ciesla 2013-06-18 18:17:51 UTC
Rel-eng needs to do that.

Comment 11 Rahul Sundaram 2013-06-18 18:28:16 UTC
thanks. filed at https://fedorahosted.org/rel-eng/ticket/5642

Comment 12 Fedora Update System 2013-10-06 22:03:41 UTC
e_dbus-1.7.8-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/e_dbus-1.7.8-1.fc20

Comment 13 Fedora Update System 2013-10-07 15:44:46 UTC
e_dbus-1.7.8-1.fc20 has been pushed to the Fedora 20 testing repository.

Comment 14 Fedora Update System 2013-10-10 14:49:11 UTC
e_dbus-1.7.8-1.fc20 has been pushed to the Fedora 20 stable repository.


Note You need to log in before you can comment on or make changes to this bug.